[BACK]Return to Makefile CVS log [TXT][DIR] Up to [cvs.NetBSD.org] / pkgsrc / x11 / kterm

File: [cvs.NetBSD.org] / pkgsrc / x11 / kterm / Makefile (download)

Revision 1.54, Thu May 3 09:55:32 2012 UTC (10 years, 9 months ago) by obache
Branch: MAIN
Changes since 1.53: +2 -3 lines

Drop dependency on libXp (from Imake)

* libXp was used by Xaw8, but it had been obsolated, and in pkgsrc,
  x11/libXaw/buildlink3.mk had been switched to pick up Xaw7 by default.
* With x11/xorg-cf-files, libXp was offered with XawClientLibs,
  but updated to 1.0.4, it was removed.
* And pkgsrc had been switched to use always xorg-cf-files and imake from pkgsrc,
  so all platforms should not require libXp from libXaw with Imake.

Bump PKGREVISION.

# $NetBSD: Makefile,v 1.54 2012/05/03 09:55:32 obache Exp $

DISTNAME=	kterm-6.2.0
PKGREVISION=	20
CATEGORIES=	x11
MASTER_SITES=	${MASTER_SITE_XCONTRIB:=applications/}

# the following patch includes NFS xauth patch, and kamo's wd0.2 patch.
PATCH_SITES=	${MASTER_SITE_LOCAL}
PATCHFILES=	kterm-6.2.0-termios-wd0.2.patch2 \
		kterm-6.2.0-scroll-wd0.2.patch \
		kterm-6.2.0.NFS-xauth.patch \
		kterm-6.2.0.ext06.patch.gz
PATCH_DIST_STRIP= -p1

MAINTAINER=	pkgsrc-users@NetBSD.org
HOMEPAGE=	# none
COMMENT=	Multi-lingual terminal emulator for X

PKG_DESTDIR_SUPPORT=	user-destdir

USE_IMAKE=	YES

SPECIAL_PERMS=	${PREFIX:Q}/bin/kterm ${SETUID_ROOT_PERMS}

.include "../../mk/bsd.prefs.mk"

.if defined(XAW_TYPE) && (${XAW_TYPE} == "3d" || ${XAW_TYPE} == "xpm" || ${XAW_TYPE} == "neXtaw")
post-patch:
	@${ECHO_MSG}  "===>  Applying Xaw scrollbar patch"
	@${PATCH} ${PATCH_ARGS} < ${FILESDIR:Q}/patch-xaw3d
.endif

.include "../../mk/xaw.buildlink3.mk"
.include "../../mk/bsd.pkg.mk"